'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

exports.default = function (loc, relative) {
    // we're in the browser, probably
    if (typeof _module2.default === 'object') return null;

    let relativeMod = relativeModules[relative];

    if (!relativeMod) {
        relativeMod = new _module2.default(); // eslint-disable-line

        // We need to define an id and filename on our 'fake' relative` module so that
        // Node knows what '.' means in the case of us trying to resolve a plugin
        // such as './myPlugins/somePlugin.js'. If we don't specify id and filename here,
        // Node presumes '.' is process.cwd(), not our relative path.
        // Since this fake module is never 'loaded', we don't have to worry about mutating
        // any global Node module cache state here.
        const filename = _path2.default.join(relative, '.babelrc');
        relativeMod.id = filename;
        relativeMod.filename = filename;

        relativeMod.paths = _module2.default._nodeModulePaths(relative); // eslint-disable-line
        relativeModules[relative] = relativeMod;
    }

    try {
        return _module2.default._resolveFilename(loc, relativeMod); // eslint-disable-line
    } catch (err) {
        return null;
    }
};

var _module = require('module');

var _module2 = _interopRequireDefault(_module);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Lifted from babel-core directly

const relativeModules = {};
//# sourceMappingURL=babelResolve.js.map